#include "ExampleClassOne.h"
#include <Tracer.h>

TRC_SCOPE_DEF( ExampleClassOne, Constructor_ExampleClassOne );
TRC_SCOPE_DEF( ExampleClassOne, Destructor_ExampleClassOne );
TRC_SCOPE_DEF( ExampleClassOne, fun1 );
TRC_SCOPE_DEF( ExampleClassOne, fun2 );
TRC_SCOPE_DEF( ExampleClassOne, fun3 );

ExampleClassOne::ExampleClassOne()
{
   TRC_SCOPE( ExampleClassOne, Constructor_ExampleClassOne );

   DBG_MSG << "Constructor of ExampleClassOne" << '\n';
}

ExampleClassOne::~ExampleClassOne()
{
   TRC_SCOPE( ExampleClassOne, Destructor_ExampleClassOne );

   DBG_MSG << "Destructor of ExampleClassOne" << '\n';
}

void ExampleClassOne::fun1()
{
   TRC_SCOPE( ExampleClassOne, fun1 );

   DBG_MSG << "message from ExampleClassOne::fun1" << '\n';
   DBG_WARNING << "warning from ExampleClassOne::fun1" << '\n';
   DBG_ERROR << "error from ExampleClassOne::fun1" << '\n';
}

void ExampleClassOne::fun2()
{
   TRC_SCOPE( ExampleClassOne, fun2 );

   DBG_MSG << "message from ExampleClassOne::fun2" << '\n';
   DBG_WARNING << "warning from ExampleClassOne::fun2" << '\n';
   DBG_ERROR << "error from ExampleClassOne::fun2" << '\n';
}

void ExampleClassOne::fun3()
{
   TRC_SCOPE( ExampleClassOne, fun3 );
   
   DBG_MSG << "message from ExampleClassOne::fun3" << '\n';
   DBG_WARNING << "warning from ExampleClassOne::fun3" << '\n';
   DBG_ERROR << "error from ExampleClassOne::fun3" << '\n';
}
