#include "ExampleClassThree.h"
#include <Tracer.h>


TRC_SCOPE_DEF( ExampleClassThree, Constructor_ExampleClassThree );
TRC_SCOPE_DEF( ExampleClassThree, Destructor_ExampleClassThree );
TRC_SCOPE_DEF( ExampleClassThree, fun1 );
TRC_SCOPE_DEF( ExampleClassThree, fun2 );
TRC_SCOPE_DEF( ExampleClassThree, fun3 );



ExampleClassThree::ExampleClassThree()
{
   TRC_SCOPE( ExampleClassThree, Constructor_ExampleClassThree );

   DBG_MSG << "Constructor of ExampleClassThree" << '\n';
}

ExampleClassThree::~ExampleClassThree()
{
   TRC_SCOPE( ExampleClassThree, Destructor_ExampleClassThree );

   DBG_MSG << "Destructor of ExampleClassThree" << '\n';
}

void ExampleClassThree::fun1()
{
   TRC_SCOPE( ExampleClassThree, fun1 );

   DBG_MSG << "message from ExampleClassThree::fun1" << '\n';
   DBG_WARNING << "warning from ExampleClassThree::fun1" << '\n';
   DBG_ERROR << "error from ExampleClassThree::fun1" << '\n';
}

void ExampleClassThree::fun2()
{
   TRC_SCOPE( ExampleClassThree, fun2 );

   DBG_MSG << "message from ExampleClassThree::fun2" << '\n';
   DBG_WARNING << "warning from ExampleClassThree::fun2" << '\n';
   DBG_ERROR << "error from ExampleClassThree::fun2" << '\n';
}

void ExampleClassThree::fun3()
{
   TRC_SCOPE( ExampleClassThree, fun3 );

   DBG_MSG << "message from ExampleClassThree::fun3" << '\n';
   DBG_WARNING << "warning from ExampleClassThree::fun3" << '\n';
   DBG_ERROR << "error from ExampleClassThree::fun3" << '\n';
}
