#include "ExampleClassTwo.h"
#include <Tracer.h>

TRC_SCOPE_DEF( ExampleClassTwo, Constructor_ExampleClassTwo );
TRC_SCOPE_DEF( ExampleClassTwo, Destructor_ExampleClassTwo );
TRC_SCOPE_DEF( ExampleClassTwo, fun1 );
TRC_SCOPE_DEF( ExampleClassTwo, fun2 );
TRC_SCOPE_DEF( ExampleClassTwo, fun3 );


ExampleClassTwo::ExampleClassTwo()
{
   TRC_SCOPE( ExampleClassTwo, Constructor_ExampleClassTwo );

   DBG_MSG << "Constructor of ExampleClassTwo" << '\n';
}

ExampleClassTwo::~ExampleClassTwo()
{
   TRC_SCOPE( ExampleClassTwo, Destructor_ExampleClassTwo );

   DBG_MSG << "Destructor of ExampleClassTwo" << '\n';
}

void ExampleClassTwo::fun1()
{
   TRC_SCOPE( ExampleClassTwo, fun1 );

   DBG_MSG << "message from ExampleClassTwo::fun1" << '\n';
   DBG_WARNING << "warning from ExampleClassTwo::fun1" << '\n';
   DBG_ERROR << "error from ExampleClassTwo::fun1" << '\n';
}

void ExampleClassTwo::fun2()
{
   TRC_SCOPE( ExampleClassTwo, fun2 );

   DBG_MSG << "message from ExampleClassTwo::fun2" << '\n';
   DBG_WARNING << "warning from ExampleClassTwo::fun2" << '\n';
   DBG_ERROR << "error from ExampleClassTwo::fun2" << '\n';
}

void ExampleClassTwo::fun3()
{
   TRC_SCOPE( ExampleClassTwo, fun3 );
   
   DBG_MSG << "message from ExampleClassTwo::fun3" << '\n';
   DBG_WARNING << "warning from ExampleClassTwo::fun3" << '\n';
   DBG_ERROR << "error from ExampleClassTwo::fun3" << '\n';
}
